<?php
function readline ( $length = 255 )
{
	$line = fgets ( STDIN, $length );
	return trim ( $line );
}

function shift ( $str )
{
	$shifted = '';
	$chars = str_split( $str );
	foreach ( $chars as $char )
	{
		$ord = ord( $char );
		if ( ( ( $ord >= 64 ) && ( $ord <= 90 ) ) || ( ( $ord >= 97 ) && ( $ord <= 122 ) ) )
		{
			if ( ($ord === 97) || ($ord === 65) )
			{
				$shifted .= chr( $ord + 25 );
			} else {
				$shifted .= chr( $ord - 1 );
			}
		} else {
			$shifted .= chr ($ord);
		}
	}
	return $shifted;
}

function writeline( $line )
{
	$bytes = fwrite ( STDOUT, $line, strlen( $line ) );
	return $bytes;
}

/* main */

while ( $line = readline () ) 
{
	writeline( shift( $line ) . "\r\n" );
}
?>